%global debug_package %{nil}
%global prjname operator-registry
%global pkg github.com/operator-framework/operator-registry
%global commit 32888aa20617486aed2282e7b145bb85e24f1ded

Name:           opm
Version:        1.56.0
Release:        1%{?dist}
Summary:        Generates and updates Operator Registry databases as well as the index images that encapsulate them.

License:        Apache-2.0
URL:            https://github.com/operator-framework/%{prjname}
Source:         https://github.com/operator-framework/%{prjname}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  go
BuildRequires:  gpgme-devel

%description
opm generates and updates Operator Registry databases
as well as the index images that encapsulate them.

Operator Registry runs in a Kubernetes or OpenShift cluster
to provide operator catalog data to Operator Lifecycle Manager.

%prep
%autosetup -n %{prjname}-%{version}

%build
go build -ldflags "-w -X %{pkg}/cmd/opm/version.gitCommit=%{commit} \
                      -X %{pkg}/cmd/opm/version.opmVersion=v%{version} \
                      -X %{pkg}/cmd/opm/version.buildDate=$(date -u +'%Y-%m-%dT%H:%M:%SZ')" \
                      -o %{name} ./cmd/%{name}

mkdir generated_completions
./%{name} completion bash > generated_completions/%{name}
./%{name} completion fish > generated_completions/%{name}.fish
./%{name} completion zsh  > generated_completions/_%{name}

%install
install -Dpm 0755 ./%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm 0644 generated_completions/%{name}      -t %{buildroot}/%{bash_completions_dir}/
install -Dpm 0644 generated_completions/%{name}.fish -t %{buildroot}/%{fish_completions_dir}/
install -Dpm 0644 generated_completions/_%{name}     -t %{buildroot}/%{zsh_completions_dir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
* Sun Jul 06 2025 Andrey Brusnik <dev@shdwchn.io> - 1.56.0-1
- chore(opm): Bump to 1.56.0

* Tue May 13 2025 Andrey Brusnik <dev@shdwchn.io> - 1.54.0-2
- fix(opm): Add build dep gpgme-devel

* Tue May 13 2025 Andrey Brusnik <dev@shdwchn.io> - 1.54.0-1
- chore(opm): Bump to 1.54.0

* Mon Apr 07 2025 Andrey Brusnik <dev@shdwchn.io> - 1.51.0-1
- feat: Add opm package
